B10-DDNS(8)

NAME
b10-ddns - Dynamic DNS update service

SYNOPSIS

b10-ddns [-v | --verbose]

DESCRIPTION

The b10-ddns daemon provides the BIND 10 Dynamic Update (DDNS) service, as specified in RFC 2136. Normally it is started by the bind10(8) boss process. When the b10-auth DNS server receives a DDNS update, b10-ddns updates the zone in the BIND 10 zone data store.

    Note

    Currently installed is a dummy component. It does not provide any functionality. It is a skeleton implementation that will be expanded later.

This daemon communicates with BIND 10 over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-ddns will exit.

b10-ddns receives its configurations from b10-cfgmgr(8).

ARGUMENTS

The arguments are as follows:

-v, --verbose
    This value is ignored at this moment, but is provided for compatibility with the bind10 Boss process

CONFIGURATION AND COMMANDS

The configurable settings are:

zones The zones option is a named set of zones that can be updated with DDNS. Each entry has one element called update_acl, which is a list of access control rules that define update permissions. By default this is empty; DDNS must be explicitely enabled per zone.

The module commands are:

shutdown exits b10-ddns. This has an optional pid argument to select the process ID to stop. (Note that the BIND 10 boss process may restart this service if configured.)

SEE ALSO

b10-auth(8), b10-cfgmgr(8), b10-msgq(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-ddns daemon was first implemented in December 2011 for the ISC BIND 10 project.

COPYRIGHT
Copyright © 2011-2012 Internet Systems Consortium, Inc. ("ISC")